# logical_file.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/namespace/namespace_entry.hpp>`
`#include <saga/saga/packages/replica/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::replica
namespace | saga::replica::metrics
## Classes
class | saga::replica::logical_file
| The saga::replica class implements the saga::attributes interface. More...
## Enumerations
enum | saga::replica::flags { saga::replica::Unknown = saga::name_space::Unknown, saga::replica::None = saga::name_space::None, saga::replica::Overwrite = saga::name_space::Overwrite, saga::replica::Recursive = saga::name_space::Recursive, saga::replica::Dereference = saga::name_space::Dereference, saga::replica::Create = saga::name_space::Create, saga::replica::Exclusive = saga::name_space::Exclusive, saga::replica::Lock = saga::name_space::Lock, saga::replica::CreateParents = saga::name_space::CreateParents, saga::replica::Read = 512, saga::replica::Write = 1024, saga::replica::ReadWrite = Read | Write }
| The flags enum is inherited from the namespace package. More...
## Variables
char const *const | saga::replica::metrics::logical_file_modified = "logical_file.Modified"
char const *const | saga::replica::metrics::logical_file_deleted = "logical_file.Deleted"